commit 12723d7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 23 10:09:33 2017 -0800

    DHCPv6: Avoid integer overflows.
    
    Count using ints instead of guint16s.
    
    Make sure dissect_packetcable_ccc_option and
    dissect_packetcable_cccV6_option return positive values while we're
    here.
    
    Bug: 13345
    Change-Id: Ic303ddc266f46ee3144e079731742c85808faf37
    Reviewed-on: https://code.wireshark.org/review/19747
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 57894f741f7cc98b46c9fdce7eee8256d2a4ae3f)
    Reviewed-on: https://code.wireshark.org/review/19750
    (cherry picked from commit f291d1f0f50a0aeaa0e8d85a8c03d42e4f3e8d32)
    Reviewed-on: https://code.wireshark.org/review/19751

commit efdff1f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 23 09:43:33 2017 -0800

    ASTERIX: Avoid an integer overflow.
    
    Count using a guint instead of a guint8.
    
    Bug: 13344
    Change-Id: Ic7d337dbb29b92ebb8332f50fd47b5ba2aa3f41e
    Reviewed-on: https://code.wireshark.org/review/19746
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 781f03580c81339513bb1238b202b72469a1240b)
    Reviewed-on: https://code.wireshark.org/review/19749

commit 84a6b17
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Sun Jan 22 13:20:56 2017 +0100

    MAN wireshark-filter: Add ~ operator
    
    The tilde (~) operator was missing as an alternative for matches.
    
    Bug: 13320
    Change-Id: Idb96c802145dcdd0d9ffc196b32370cadd8735b3
    Reviewed-on: https://code.wireshark.org/review/19723
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 79f3d8f40d8bb5e5465e4954dbe54beadef5dba7)
    Reviewed-on: https://code.wireshark.org/review/19732
    (cherry picked from commit 031abcc5d97612ef5e091c63c359330704755f6f)
    Reviewed-on: https://code.wireshark.org/review/19733

commit 7f8aa1b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 22 08:29:08 2017 -0800

    [Automatic update for 2017-01-22]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I4d80dae68ea50b46fb2024cda50ae7354c39a422
    Reviewed-on: https://code.wireshark.org/review/19728
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ac53aca
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 20 14:34:38 2017 -0800

    Release note updates for 2.0.10.
    
    Change-Id: Id13cb9accf6b89501cc6990f5bc3a280f9f4f3c2
    Reviewed-on: https://code.wireshark.org/review/19712
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e5dfab0
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 19 10:28:35 2017 -0500

    Remove space character from ETHERWATCH magic key
    
    V6.0 only has one space after "ETHERWATCH", not two so heuristics fail.
    "ETHERWATCH " (one space) still seems like enough of a distinction.
    
    Bug: 13093
    Change-Id: Ib8786f6e2f5f595a4cab710b91cf78d175a6ab88
    Reviewed-on: https://code.wireshark.org/review/19673
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit d691b0ef7ad01da6ff04d6ba152daa680290dc90)
    Reviewed-on: https://code.wireshark.org/review/19676
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 405e3fd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 15 08:33:49 2017 -0800

    [Automatic update for 2017-01-15]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ib488104ae456cce9cbb65bba6d091aefa4f84b9a
    Reviewed-on: https://code.wireshark.org/review/19639
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 07db3ab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 12 23:14:44 2017 -0800

    Decode TBCD strings in GSM MAP as per the GSM MAP spec.
    
    Hex digits 0xa through 0xe are '*', '#', 'a', 'b', and 'c',
    respectively.
    
    Constify the dgt_set_t argument to tvb_bcd_dig_to_wmem_packet_str(),
    while we're at it.
    
    Bug: 13316
    Change-Id: I926052654445f1c7b97de8e47c8bd170b415be59
    Reviewed-on: https://code.wireshark.org/review/19622
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4c4a1b0
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 8 08:35:26 2017 -0800

    [Automatic update for 2017-01-08]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I4376796927ff75c0be8888fe9d033ada9ea12f8f
    Reviewed-on: https://code.wireshark.org/review/19588
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9168356
Author: Noel Power <noel.power@suse.com>
Date:   Fri Jan 6 16:23:18 2017 +0000

    Make column size sanity check more sensible.
    
    The existing sanity check on column_size makes incorrect assumptions
    about the size of the CTableColumn structure (which is an internal
    dissector structure that contains optional data). The sanity check
    test *always* fails. This change uses the minimum size of CTableColumn
    structure instead which should prevent excessive allocation during fuzz
    testing.
    
    Bug: 13299
    Change-Id: Id9fcbc15a4df4c74bb7576c6fdca1000890947fd
    Signed-off-by: Noel Power <noel.power@suse.com>
    Reviewed-on: https://code.wireshark.org/review/19566
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 0dcbfab4265b4f494a7b162d2c34c99ed7994541)
    Reviewed-on: https://code.wireshark.org/review/19574
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 4759c5b785cdcff66096fa4ed1c56b572505fc61)
    Reviewed-on: https://code.wireshark.org/review/19575
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit fda5315
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 4 21:06:06 2017 +0100

    QUIC: fix typo on ACK num revived field description
    
    Found in https://ask.wireshark.org/questions/58396/some-question-about-quic-decode-result
    
    Change-Id: Ic7fc2c2318186eabb5047f816987d2553a6fd449
    Reviewed-on: https://code.wireshark.org/review/19547
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 3f176f94e7b3939dbcc4f3195427345a077cbfb1)
    Reviewed-on: https://code.wireshark.org/review/19555
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ff12a7a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 2 20:32:23 2017 +0000

    checklicenses(.py) add also airpdcap_debug.c too
    
    it is always present in master-2.0 branch
    
    Change-Id: I0fcf20033582e9a2d10467d9d999a85fba5f2a74
    Reviewed-on: https://code.wireshark.org/review/19512
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a99fceb
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Aug 23 13:53:23 2016 +0200

    Documentation with unset license is under project's license (GPL-2+)
    
    doc/idl2deb.pod is licensed explicitly under GPL-2+ it is just
    not recognized by the check.
    
    Change-Id: Iabc7ee6bd6fe9080d6cdd28a29bb4c5f97b0ece9
    Reviewed-on: https://code.wireshark.org/review/17268
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Petri-Dish: Balint Reczey <balint@balintreczey.hu>
    Reviewed-by: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    (cherry picked from commit 40ac3c86825d4a15e585035fbae6e9a86424ee4e)
    Reviewed-on: https://code.wireshark.org/review/19507
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f6ac082
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Mon Aug 8 16:48:14 2016 +0100

    checklicenses: Fix a FIXME
    
    We do not whitelist GPLv2 only code because of the
    incompatibility with GPLv3.
    
    Move the path exception to its proper place. These files are
    dual-licensed in the sense of "choose one or the other", not
    "both licenses are in use".
    
    If the exception becomes unnecessary later it can be removed,
    but let's get rid of the FIXME until then.
    
    Change-Id: Ia040284b72c2ff6588b0544896cc37ae19a61613
    Reviewed-on: https://code.wireshark.org/review/16957
    Reviewed-by: João Valverde <j@v6e.pt>
    (cherry picked from commit e3009b0b1c78b25337c915fb66232314f769688c)
    Reviewed-on: https://code.wireshark.org/review/19506
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3bcde98
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Mon Aug 8 22:37:55 2016 +0100

    checklicenses: Remove whitelisted licenses not being used
    
    Removed a few licenses we shouldn't use (Apache v2, BSD 4-clause) and
    removed many others not currently being used. (Add on a need-to basis).
    
    Added GPLv3+ with Bison exception to licensecheck.pl.
    
    Also removed some crud to work around bugs for older licensecheck.pl versions.
    
    The original list came from the chromium project, which has a BSD-like license,
    and many more licenses in use, not all of them vetted for GPLv2+ compatibility.
    
    Change-Id: I67f334f21cd94904cf8a0e5d9beb659c82437df4
    Reviewed-on: https://code.wireshark.org/review/16966
    Petri-Dish: João Valverde <j@v6e.pt>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: João Valverde <j@v6e.pt>
    (cherry picked from commit ba70b88419c0282dd61b2384239874440f2594bc)
    Reviewed-on: https://code.wireshark.org/review/19504
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 54f3fb1
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sat Aug 6 20:09:15 2016 +0100

    checklicenses.py: Remove some boilerplate from upstream
    
    Change-Id: If8a1537fe5ad0c5decaf2facf6fd0c43b32ffe70
    Reviewed-on: https://code.wireshark.org/review/16930
    Reviewed-by: João Valverde <j@v6e.pt>
    (cherry picked from commit e32890af11483db4c64bb33133396f8bb5a44ed0)
    Reviewed-on: https://code.wireshark.org/review/19503
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d330efd
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Fri Aug 5 20:49:33 2016 +0100

    Add licensecheck.pl to our /tools directory and use it
    
    Source: https://anonscm.debian.org/cgit/collab-maint/devscripts.git/plain/scripts/licensecheck.pl?h=v2.16.2
    
    Removed regex to check files without an extension.
    
    Change-Id: Icf98d0da2d201731da7134799ead0d2dc5c3fc39
    Reviewed-on: https://code.wireshark.org/review/16913
    Petri-Dish: João Valverde <j@v6e.pt>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: João Valverde <j@v6e.pt>
    (cherry picked from commit 57be744df5a2e9c43a42544909c533733565291a)
    Reviewed-on: https://code.wireshark.org/review/19501
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 277d819
Author: David Barrera <davidbb@gmail.com>
Date:   Mon Dec 12 11:06:42 2016 +0100

    Change spaces to tab for recent wka entries
    
    Commit 66549a9cacb29abdbb2c6fdaaf8235c4f34f6a13 added 3 new entries to
    wka.tmpl, but used spaces instead of the default tab separator. This
    inconsistency causes external tools that expect tabs in the manuf file
    to behave unexpectedly.
    
    The manuf file was re-generated after the fix to wka.tmpl.
    
    Change-Id: I79bceac649e0fc29b3502fc2e074dcd513f29ff5
    Reviewed-on: https://code.wireshark.org/review/19217
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 862905da1b84e1997e2b2a5d4ae8bbaaedb804de)
    Reviewed-on: https://code.wireshark.org/review/19526
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 19e92bb
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Jun 6 12:02:57 2016 +0200

    Fix a mac collision in wka.tmpl.
    
    Change-Id: I248a4ef87f3214ef88566326dcfd9ebce016a0c8
    Reviewed-on: https://code.wireshark.org/review/19525
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 53df9ac
Author: Dominic Chen <d.c.ddcc@gmail.com>
Date:   Fri May 6 15:34:57 2016 -0400

    manuf: Add well-known MAC entries for DOCSIS and regenerate file
    
    DOCSIS has a few well-known MAC entries defined in ANSI SCTE 22-1
    with the prefix 01-E0-2F. Currently, this gets munged by
    manuf_name_lookup() to 00-E0-2F and the vendor "McnsHold", which
    is incorrect.
    
    Change-Id: I11d344d8f595c3252895a4f7c094866fc0dd9841
    Reviewed-on: https://code.wireshark.org/review/19524
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 41a4117
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Oct 2 12:03:34 2016 -0700

    make-manuf: Add more sanity checks.
    
    Increase the number of minimum entries required in each IAB / OUI file
    to 1000. Add a minimum total entry count. Add total counts to the
    output. Trim whitespace so that we pass the pre-commit hook.
    
    Re-run make-manuf to fix the mass removal in g3ab0137.
    
    Change-Id: I6e5bed238cb7852036a5afc832d3c4efc897b9b2
    Reviewed-on: https://code.wireshark.org/review/19522
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit edd0fd0
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Aug 21 11:23:20 2016 -0700

    Merge the CaveBear list into manuf.tmpl.
    
    If the following lines at the top of "Ethernet.txt" are anything to go
    by
    
    ----
    $Revision: 2.83 $
    $Date: 1999/03/09 11:36:19 $
    $Author: map $
    $Id: Ethernet.txt,v 2.83 1999/03/09 11:36:19 map Exp $
    ----
    
    we've been fetching the same list over and over for quite some time.  Go
    ahead and merge the CaveBear list with manuf.tmpl and stop fetching it
    remotely.
    
    Fixup the way we split the lines we get from the IEEE while we're here,
    otherwise we log carriage returns in the middle of lines.
    
    The following CaveBear lines were skipped during the merge:
    
    Change-Id: I2110a7480a01a1bc5cbb6adf858acd9b5f75204c
    00:00:10 - Skipping CaveBear "Hughes LAN Systems (formerly Sytek)" in favor of "Hughes"
    00:00:11 - Skipping CaveBear "Tektronix" in favor of "Tektrnix"
    00:00:1A - Skipping CaveBear "AMD (?)" in favor of "AMD"
    00:00:20 - Skipping CaveBear "DIAB (Data Intdustrier AB)" in favor of "DIAB"
    00:00:21 - Skipping CaveBear "SC&C (PAM Soft&Hardware also reported)" in favor of "SC&C"
    00:00:24 - Skipping CaveBear "Olicom" in favor of "Olicom"
    00:00:3D - Skipping CaveBear "AT&T" in favor of "AT&T"
    00:00:46 - Skipping CaveBear "ISC-Bunker Ramo, An Olivetti Company" in favor of "ISC-BR"
    00:00:4B - Skipping CaveBear "APT       -ICL also reported" in favor of "APT"
    00:00:55 - Skipping CaveBear "AT&T" in favor of "AT&T"
    00:00:5A - Skipping CaveBear "Xerox 806 (unregistered)" in favor of "SkSchnei               # SK        (Schneider & Koch in Europe and Syskonnect outside of Europe)"
    00:00:62 - Skipping CaveBear "Honeywell" in favor of "Hneywell  # Honeywell"
    00:00:63 - Skipping CaveBear "Hewlett-Packard           LanProbe" in favor of "HP"
    00:00:69 - Skipping CaveBear "Concord Communications, Inc (although someone said Silicon Graphics)" in favor of "SGI"
    00:00:6B - Skipping CaveBear "MIPS" in favor of "MIPS"
    00:00:7A - Skipping CaveBear "Ardent" in favor of "Ardent"
    00:00:7D - Skipping CaveBear "Cray Research Superservers,Inc            [Also Harris (3M) (old)]" in favor of "Cray"
    00:00:A3 - Skipping CaveBear "Network Application Technology (NAT)" in favor of "NAT"
    00:00:A5 - Skipping CaveBear "Compatible Systems Corporation" in favor of "CSC"
    00:00:A7 - Skipping CaveBear "Network Computing Devices (NCD)   X-terminals" in favor of "NCD"
    00:00:A9 - Skipping CaveBear "Network Systems" in favor of "NetSys              # Network Systems"
    00:00:DD - Skipping CaveBear "Gould" in favor of "Gould"
    00:00:DE - Skipping CaveBear "Unigraph" in favor of "Unigraph"
    00:00:E1 - Skipping CaveBear "Hitachi (laptop built-in)" in favor of "Hitachi"
    00:00:F6 - Skipping CaveBear "A.M.C. (Applied Microsystems Corp.)" in favor of "Madge"
    00:01:FA - Skipping CaveBear "Compaq (PageMarq printers)" in favor of "Compaq"
    00:02:04 - Skipping CaveBear "Novell NE3200" in favor of "Novell"
    00:07:01 - Skipping CaveBear "Racal-Datacom" in favor of "Cisco         # RACAL-DATACOM"
    00:20:85 - Skipping CaveBear "3COM SuperStack II UPS management module" in favor of "3Com"
    00:40:0B - Skipping CaveBear "Crescendo (now owned by Cisco)" in favor of "Cresc"
    00:40:96 - Skipping CaveBear "Telesystems SLW Inc" in favor of "Aironet         # Cisco Systems, Inc."
    00:60:B0 - Skipping CaveBear "Hewlett-Packard" in favor of "HP"
    00:80:0F - Skipping CaveBear "SMC (Standard Microsystem Corp.)" in favor of "SMC"
    00:80:1C - Skipping CaveBear "Cisco" in favor of "Cisco         # NEWPORT SYSTEMS SOLUTIONS"
    00:80:96 - Skipping CaveBear "HDS (Human Designed Systems)      X terminals" in favor of "HDS"
    00:80:AD - Skipping CaveBear "CNet Technology                   Used by Telebit (among others)" in favor of "Telebit"
    00:90:B1 - Skipping CaveBear "Cisco" in favor of "Cisco"
    00:E0:98 - Skipping CaveBear "Linksys                           PCMCIA card" in favor of "Trend"
    02:07:01 - Skipping CaveBear "Racal-Datacom" in favor of "Interlan               # Interlan [now Racal-InterLAN]        DEC (UNIBUS or QBUS), Apollo, Cisco"
    02:CF:1F - Skipping CaveBear "CMC                               Masscomp; Silicon Graphics; Prime EXL" in favor of "CMC"
    08:00:02 - Skipping CaveBear "3Com (formerly Bridge)" in favor of "3Com"
    08:00:03 - Skipping CaveBear "ACC (Advanced Computer Communications)" in favor of "ACC"
    08:00:08 - Skipping CaveBear "BBN (Bolt Beranek and Newman, Inc.)" in favor of "BBN"
    08:00:09 - Skipping CaveBear "Hewlett-Packard" in favor of "HP"
    08:00:1A - Skipping CaveBear "Tiara? (used to have Data General)" in favor of "DataGenl # Data General"
    08:00:38 - Skipping CaveBear "Bull" in favor of "Bull"
    08:00:3E - Skipping CaveBear "Motorola                  VME bus processor modules" in favor of "Motorola"
    08:00:69 - Skipping CaveBear "Silicon Graphics" in favor of "SGI"
    08:00:79 - Skipping CaveBear "Silicon Graphics" in favor of "SGI"
    08:00:90 - Skipping CaveBear "Retix, Inc.                       Bridges" in favor of "Retix"
    09:00:6A - Skipping CaveBear "AT&T" in favor of "AT&T"
    10:00:90 - Skipping CaveBear "Hewlett-Packard                   Advisor products" in favor of "HP"
    10:00:D4 - Skipping CaveBear "DEC" in favor of "DEC"
    3C:00:00 - Skipping CaveBear "3Com                              dual function (V.34 modem + Ethernet) card" in favor of "3Com"
    44:45:53 - Skipping CaveBear "Microsoft                 (Windows95 internal "adapters")" in favor of "Microsoft"
    Reviewed-on: https://code.wireshark.org/review/17212
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/19520
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 11919da
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Oct 15 12:04:34 2015 -0700

    Add OUI-28 to make-manuf.
    
    Change-Id: I95b9a4422dab6efbc2d94be49aba5f42784ff3e8
    Reviewed-on: https://code.wireshark.org/review/11064
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-on: https://code.wireshark.org/review/19519
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c843136
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Mon Oct 17 11:55:19 2016 +0200

    debian: Stop using hardening-check during .deb package build
    
    Hardening-check script has been removed from Debian unstable. Checking
    binaries' security features is implemented in Lintian instead which
    will raise proper warnings for not Position Independent Executables
    and binaries missing "bindnow" linker flag.
    
    This also fixes the Lintian error complaining about dependency on
    obsolete hardening-includes package.
    
    Change-Id: If3387aa1f2297927c19d85f27361ba639203aad9
    Reviewed-on: https://code.wireshark.org/review/18238
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit 511bb814332d03553b2dfb3b927a721c364ad160)
    Reviewed-on: https://code.wireshark.org/review/19514
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 7b072df
Author: Mirko Parthey <mirko.parthey@web.de>
Date:   Mon Jan 2 15:14:07 2017 +0100

    ISAKMP: Fix size of ID in IKEv1 Attributes Payload
    
    Fix the size of the Identifier field in the IKEv1 Attributes Payload.
    Reference: draft-ietf-ipsec-isakmp-mode-cfg-05, section 3.2
    
    Change-Id: I30bfde9caa6750b342f7dfbad39e63341614a45b
    Reviewed-on: https://code.wireshark.org/review/19502
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 6f9c4c807e97332b370a012c3b3c286c2b98c6aa)
    Reviewed-on: https://code.wireshark.org/review/19511

commit 22b9a2c
Author: Mirko Parthey <mirko.parthey@web.de>
Date:   Mon Jan 2 13:45:24 2017 +0100

    ISAKMP: fix dissection of IKEv2 ID Payload
    
    Fix dissection of the IKEv2 Identification Payload.
    Unlike IKEv1, it does not have Protocol and Port fields.
    
    References:
    * RFC 2407, section 4.6.2
    * RFC 7296, section 3.5
    
    Change-Id: I968e378abd49363785dd7308a4f27908c1c05a8a
    Reviewed-on: https://code.wireshark.org/review/19497
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 6af7425ceebb698c53368fa90e1be52338bdf333)
    Reviewed-on: https://code.wireshark.org/review/19499

commit afbab4f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jan 1 00:00:01 2017 +0100

    Happy new Year 2017 !
    
    Change-Id: I8ae8a1fdc8d0df0779ef119c527f41dac9e0dbdb
    Reviewed-on: https://code.wireshark.org/review/19476
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d7ac90bfab4f52fedecf6d00f84d6d196a71d40b)
    Reviewed-on: https://code.wireshark.org/review/19496
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>

commit aab50f3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 1 08:21:56 2017 -0800

    [Automatic update for 2017-01-01]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id0b677cbae5da4e0bc69fdf1dce9b7ac221d393b
    Reviewed-on: https://code.wireshark.org/review/19494
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e5da60b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Dec 31 18:45:00 2016 -0800

    Always use the Windows time zone code on Windows.
    
    We *have* to use the Windows code on Windows for the reasons given in
    the comment.  However, some versions of Visual Studio have a time.h that
    CMake thinks defines tzname[] (which the header will do under some
    circumstances), so HAVE_TZNAME gets defined on Windows.  We check for
    Windows *before* checking for HAVE_TZNAME - or HAVE_STRUCT_TM_TM_ZONE.
    
    Bug: 11785
    Change-Id: I61360daf08203dbd9d109a87c05727b4dbecea66
    Reviewed-on: https://code.wireshark.org/review/19483
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 8909dff72139d2f0514a7bb83c6bf5c2959c4101,
    with backporting changes)
    Reviewed-on: https://code.wireshark.org/review/19485

commit b77eeff
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu Dec 29 22:59:13 2016 +0100

    UDLD: Use correct flag bits
    
    Assigned flag bits are the least significant bits of the flags field,
    not at the most significant end.
    
    Bug: 13280
    Change-Id: Ie568df6ca137c491fedb32cf2316a0240270b3d6
    Reviewed-on: https://code.wireshark.org/review/19463
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 931253800adff149f34cc6d2ed082801edc2d3c8)
    Reviewed-on: https://code.wireshark.org/review/19467
    (cherry picked from commit ac48964230da4cd82ed2aed7ee952b3a67ffdb88)
    Reviewed-on: https://code.wireshark.org/review/19468
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f997ee8
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 25 08:54:42 2016 -0800

    [Automatic update for 2016-12-25]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I756194ca48da05d630139275bf475a7ea349451b
    Reviewed-on: https://code.wireshark.org/review/19431
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cd3a31d
Author: Mikael Kanstrup <mikael.kanstrup@gmail.com>
Date:   Sat Mar 19 09:36:57 2016 +0100

    Avoid recursive scan_local_interfaces operation
    
    When the local networks interfaces changes quickly or when refreshing the
    list of network interfaces there's a risk of recursive calls into
    scan_local_interfaces. The recursive calls are a result of calling
    update_cb to process UI events during function operation which in turn
    again discover a network interface change. This results in strange
    duplicate entries of network interfaces and crashes.
    
    To avoid recursive calls a check is added to stop running the function while
    already updating. This patch is really just a workaround for the problem.
    Ideally some asynchronous operation should be implemented instead to avoid
    the UI update_cb callback alltogether.
    
    Bug: 11553
    Bug: 12263
    Change-Id: I3b74d8f196677e0e261a395aff558dd9f685b538
    Reviewed-on: https://code.wireshark.org/review/14492
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 802362ee1a44d4a6494092f40e61155569ee5a6a)
    Reviewed-on: https://code.wireshark.org/review/19427
    (cherry picked from commit e7287ca66f503d6fbabeb6b5c32729ef434aa43a)
    Reviewed-on: https://code.wireshark.org/review/19428

commit 8a6ad82
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 25 01:39:34 2016 -0800

    Wireshark doesn't require X11 any more.
    
    Change-Id: Ib5ba38e5103f31f115608b92dd32f3ce1e5eec67
    Reviewed-on: https://code.wireshark.org/review/19424
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 68fc3e0babe145c936599adc283cd76129e3e91c)
    Reviewed-on: https://code.wireshark.org/review/19426

commit 075f19a
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 23 09:06:44 2016 -0500

    Set BCP BPDU to size of bytes used by the protocol, not whole packet.
    
    Bug: 13188
    Change-Id: I29b2712d4d6ae57e4b0ea4bc0ec126cb80172779
    Reviewed-on: https://code.wireshark.org/review/19400
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit fb9a4d7413e7cf10cfce432e0d19e60c2f3acfe5)
    Reviewed-on: https://code.wireshark.org/review/19403
    (cherry picked from commit 51479ddb75afea0f6224da0cba2ffc2c77106b90)
    Reviewed-on: https://code.wireshark.org/review/19404

commit 990a13e
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Dec 22 22:16:43 2016 +0100

    DVB-CI: don't call proto_tree_add_subtree_format() with tvb==NULL
    
    When I first implemented this, proto_tree_add_subtree_format() worked
    for tvb==NULL if len was also 0. The bounds check added in
    56706427f53cc64793870bf072c2c06248ae88f3 breaks this use case and makes
    DVB-CI spill out dissector asserts.
    
    Warn Dissector bug, protocol DVB-CI, in packet 625:
    ../epan/tvbuff.c:532: failed assertion "tvb && tvb->initialized"
    
    Create a proto_item first and link the subtree to this item. This will
    work as long as proto_tree_add_uint() accepts tvb==NULL.
    
    Thanks to Kay Katzorke for reporting this bug.
    
    Change-Id: I25a071c21925f7d362c92852fd5a8136e4d361c8
    Reviewed-on: https://code.wireshark.org/review/19389
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 933a73177736171214c2ae853fa3819fc09016bc)
    Reviewed-on: https://code.wireshark.org/review/19396

commit ce9edac
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 18 19:00:52 2016 +0100

    Lua: Include all BASE_PT_* to base table.
    
    Also added a note above field_display_e enum to indicate that this
    values are parsed in make-init-lua.pl to build init.lua.
    
    Change-Id: Ibd125684f9a68e1b8116fae0ccbc72147825d75d
    Reviewed-on: https://code.wireshark.org/review/19336
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit d7ce60bb080eb22808ccf304ebc400da866bae0b)
    Reviewed-on: https://code.wireshark.org/review/19350

commit f6a4591
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Dec 18 23:38:53 2016 -0500

    [SMTP] Bugfix BDAT command handling
    
    BDAT handling takes the whole packet to add to its count of necessary
    bytes, but wasn't updating the offset, so if a BDAT "data packet" had
    multiple CRLF segments in it, the BDAT byte counter became inaccurate.
    
    Bug: 13030
    Change-Id: Idd44ccb95a8f4710db4546a918661c63a343260c
    Reviewed-on: https://code.wireshark.org/review/19343
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit dd143ca7681e2e3150904b764027e041927dcbf2)
    Reviewed-on: https://code.wireshark.org/review/19346
    (cherry picked from commit 10aa8e9539982cc5a834977141c4b7b9773a145f)
    Reviewed-on: https://code.wireshark.org/review/19347

commit 75b37a5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 18 08:33:11 2016 -0800

    [Automatic update for 2016-12-18]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I473429471e8979143679c444da50615c45d33a0f
    Reviewed-on: https://code.wireshark.org/review/19334
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8fb4f83
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 14 15:02:33 2016 -0800

    Just use strncmp() to check the prefix of the file's first line.
    
    Bug: 13246
    Change-Id: I9df35596aa8dcb937f6a03cf60b5d0fbe9dce1ec
    Reviewed-on: https://code.wireshark.org/review/19276
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1afbab69956c32b341001dd20ff667036fe1f8f5)
    Reviewed-on: https://code.wireshark.org/review/19278

commit 43ee6cb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 14 14:42:54 2016 -0800

    Don't assume we've read a line long enough to contain a magic number.
    
    Check the length of the line first.
    
    Bug: 13246
    Change-Id: I906bb652594898061afb4b2cd4edb916af354161
    Reviewed-on: https://code.wireshark.org/review/19273
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5fdbb7a5ac8a0a68b42264bde094b90d455350e5)
    Reviewed-on: https://code.wireshark.org/review/19275

commit 9c140ae
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Dec 14 11:00:44 2016 -0800

    2.0.9 → 2.0.10.
    
    Change-Id: Ie22a2e6fef39b2784b8a49bb5a24251df30a893a
    Reviewed-on: https://code.wireshark.org/review/19270
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
